<span class="loader-spinner-container">
    <span class="loader-spinner"></span>
</span>

<style>
    .loader-spinner-container {
        --main-color: white;
        --secondary: black;
    }

    .loader-spinner-container {
        display: flex;
        width: 100%;
        justify-content: center;
    }

    .loader-spinner {
        width: 48px;
        height: 48px;
        border-radius: 50%;
        display: inline-block;
        position: relative;
        border: 3px solid;
        border-color: var(--secondary) var(--secondary) transparent transparent;
        box-sizing: border-box;
        animation: rotation 1s linear infinite;
    }

    .loader-spinner::after,
    .loader-spinner::before {
        content: '';
        box-sizing: border-box;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        border: 3px solid;
        border-color: transparent transparent var(--main-color) var(--main-color);
        width: 40px;
        height: 40px;
        border-radius: 50%;
        box-sizing: border-box;
        animation: rotationBack 0.5s linear infinite;
        transform-origin: center center;
    }

    .loader-spinner::before {
        width: 32px;
        height: 32px;
        border-color: var(--secondary) var(--secondary) transparent transparent;
        animation: rotation 1.5s linear infinite;
    }

    @keyframes rotation {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }

    @keyframes rotationBack {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(-360deg);
        }
    }
</style>